Debian Bug report logs - #463559
pperl: FTBFS with perl5.10: removes usr/share/perl5 unconditionally

version graph

Package: pperl; Maintainer for pperl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for pperl is src:pperl.

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Fri, 1 Feb 2008 11:57:01 UTC

Severity: important

Tags: patch

Found in version pperl/0.25-3

Fixed in versions pperl/0.25-3.1, pperl/0.25-4

Done: Florian Weimer <fw@deneb.enyo.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#463559; Package pperl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pperl: FTBFS with perl5.10: removes usr/share/perl5 unconditionally
Date: Fri, 1 Feb 2008 13:55:04 +0200
[Message part 1 (text/plain, inline)]
Package: pperl
Version: 0.25-3
Severity: important
Tags: patch
User: debian-perl@lists.debian.org
Usertags: perl-5.10-transition

Hi,

Your package fails to build with perl 5.10 from experimental:
  ...
  rmdir --ignore-fail-on-non-empty --parents /tmp/buildd/pperl-0.25/debian/pperl/usr/share/perl5
  rmdir: failed to remove `/tmp/buildd/pperl-0.25/debian/pperl/usr/share/perl5': No such file or directory
  make: *** [install-stamp] Error 1

The reason for this is that MakeMaker that is shipped with perl5.10
finally stops creating the spurious usr/{share,lib}/perl5 directories.

Please change the removal line to

   [ ! -d $(TMP)/usr/share/perl5 ] || rmdir --ignore-fail-on-non-empty --parents --verbose $(TMP)/usr/share/perl5


Thanks,
    dam


P.S. shameless plug: if you don't want to bother, please consider
giving[1] the package to the Debian Perl Group.

  [1] http://wiki.debian.org/Teams/DebianPerlGroup?action=show#head-e1811c16f568b2e2f356d6bf2d9db17f727d9804
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Weimer <fw@deneb.enyo.de>:
Bug#463559; Package pperl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Weimer <fw@deneb.enyo.de>. Full text and rfc822 format available.

Message #10 received at 463559@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 463559@bugs.debian.org
Subject: pperl: diff for NMU version 0.25-3.1
Date: Sat, 5 Apr 2008 12:06:25 +0100
[Message part 1 (text/plain, inline)]
tags 463559 + patch
thanks

Hi,

Attached is the diff for my pperl 0.25-3.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[pperl-0.25-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 11:09:04 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 463559-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 463559-close@bugs.debian.org
Subject: Bug#463559: fixed in pperl 0.25-3.1
Date: Sat, 05 Apr 2008 11:17:07 +0000
Source: pperl
Source-Version: 0.25-3.1

We believe that the bug you reported is fixed in the latest version of
pperl, which is due to be installed in the Debian FTP archive:

pperl_0.25-3.1.diff.gz
  to pool/main/p/pperl/pperl_0.25-3.1.diff.gz
pperl_0.25-3.1.dsc
  to pool/main/p/pperl/pperl_0.25-3.1.dsc
pperl_0.25-3.1_i386.deb
  to pool/main/p/pperl/pperl_0.25-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463559@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated pperl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:05:32 +0100
Source: pperl
Binary: pperl
Architecture: source i386
Version: 0.25-3.1
Distribution: unstable
Urgency: low
Maintainer: Florian Weimer <fw@deneb.enyo.de>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 pperl      - Make Perl scripts persistent in memory
Closes: 463559
Changes: 
 pperl (0.25-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove usr/share/perl5 (closes: #463559)
Files: 
 90dc69cf4e6d5fbc4556c3923ffaece0 587 perl optional pperl_0.25-3.1.dsc
 db427469b0976b92d8c9e58d8ca0ea09 4682 perl optional pperl_0.25-3.1.diff.gz
 639186ba8798e04a8f257e545b20e96d 26230 perl optional pperl_0.25-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH910eSYIMHOpZA44RAiHcAJ9Ijqbqzr9gYEJDNCwXxQd/PhCbfwCdFZUo
pAQAG0oWzdixaxLbN6vVxOI=
=D/Tq
-----END PGP SIGNATURE-----





Reply sent to Florian Weimer <fw@deneb.enyo.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 463559-close@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: 463559-close@bugs.debian.org
Subject: Bug#463559: fixed in pperl 0.25-4
Date: Sun, 27 Apr 2008 09:17:04 +0000
Source: pperl
Source-Version: 0.25-4

We believe that the bug you reported is fixed in the latest version of
pperl, which is due to be installed in the Debian FTP archive:

pperl_0.25-4.diff.gz
  to pool/main/p/pperl/pperl_0.25-4.diff.gz
pperl_0.25-4.dsc
  to pool/main/p/pperl/pperl_0.25-4.dsc
pperl_0.25-4_amd64.deb
  to pool/main/p/pperl/pperl_0.25-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463559@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Weimer <fw@deneb.enyo.de> (supplier of updated pperl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Apr 2008 10:49:34 +0200
Source: pperl
Binary: pperl
Architecture: source amd64
Version: 0.25-4
Distribution: unstable
Urgency: low
Maintainer: Florian Weimer <fw@deneb.enyo.de>
Changed-By: Florian Weimer <fw@deneb.enyo.de>
Description: 
 pperl      - Make Perl scripts persistent in memory
Closes: 461439 463559
Changes: 
 pperl (0.25-4) unstable; urgency=low
 .
   * Acknowledge NMU.  Closes: #463559
   * Fix file descriptor passing.  Closes: #461439
   * Add PPERL_TMP_PATH environment variable.
   * Run test suite at build time
Checksums-Sha1: 
 fb5ab4a8bf7e63d983b76f064527a27078b33eb6 1237 pperl_0.25-4.dsc
 574b029ed0db3e43b21ca8302416d3b55a930346 6430 pperl_0.25-4.diff.gz
 e257d1090fe3a27b8dd8b2d601452e0bf9178a3c 27316 pperl_0.25-4_amd64.deb
Checksums-Sha256: 
 ac1c461ed42741f54544162e20f3a350ccb0485892021b0e61b9eaf0888e64d2 1237 pperl_0.25-4.dsc
 c9c9d078121b9ff44b3c396894b4ad3c8fc339670c2d8b32d5e8009ae5a12e0d 6430 pperl_0.25-4.diff.gz
 44df9c5cbd27c96bb5e6c8d57c75004e593747c20ba25d20479c77180e319fb0 27316 pperl_0.25-4_amd64.deb
Files: 
 17d175fbe7dd01783aab3700e5223d8f 1237 perl optional pperl_0.25-4.dsc
 ce23edbd62ce1e33274720cab1818ca5 6430 perl optional pperl_0.25-4.diff.gz
 0645fadf3277782fad721ef21df8f3ed 27316 perl optional pperl_0.25-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBSBRArL97/wQC1SS+AQJXBwf/Z9tQot1TfnC+Ars+9cLfjVkYJ1/p/kN+
nbi0OVmqw6+0o0TQ861Q7c3Twuu2a5oVLkhGDWtKl1QuJa9iaqBJ6Da/wBHzZcYq
95t8LnskH2JmvYqWSohabbk3L96HxsNynSKaX3mg79mMopwLlFACRyMObYFr7gbC
w+FT/q+WmoaSotUc9lfDeUPv9q2ZbRb59Ng0XKEnNP7ftkCLcMSD1FgcBF+vOp5w
9MqnONXIfR9UIFKqSHpbQblkhdJCTy1NM9xkbzrAm7S/UYMjG6z2xZkVVfBIvOeG
Zyh6sEw95PLMnuMuyt4iJWy8ArkcQY1szkYiuQJvEdfq+KzkF1umWw==
=qsmZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 May 2008 07:32:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:17:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.